summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonas Licht <jonas.licht@fem.tu-ilmenau.de>2020-02-20 23:04:04 +0100
committerJoonas Niilola <juippis@gentoo.org>2020-04-09 11:56:45 +0300
commit1f2848ebd89b13bb6098fa3b613eea2d2fe0a8ab (patch)
treec53aa2255a424714c1debff73b496f2b486c255e
parentapp-text/cherrytree: bump to 0.39.2 (diff)
downloadgentoo-1f2848ebd89b13bb6098fa3b613eea2d2fe0a8ab.tar.gz
gentoo-1f2848ebd89b13bb6098fa3b613eea2d2fe0a8ab.tar.bz2
gentoo-1f2848ebd89b13bb6098fa3b613eea2d2fe0a8ab.zip
gnome-extra/nautilus-dropbox: Version Bump to 2019.02.14
Closes: https://bugs.gentoo.org/546024 Bug: https://bugs.gentoo.org/706486 Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Jonas Licht <jonas.licht@fem.tu-ilmenau.de> Closes: https://github.com/gentoo/gentoo/pull/14720 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--gnome-extra/nautilus-dropbox/Manifest1
-rw-r--r--gnome-extra/nautilus-dropbox/files/nautilus-dropbox-2019-system-rst2man.patch13
-rw-r--r--gnome-extra/nautilus-dropbox/metadata.xml12
-rw-r--r--gnome-extra/nautilus-dropbox/nautilus-dropbox-2019.02.14.ebuild67
4 files changed, 92 insertions, 1 deletions
diff --git a/gnome-extra/nautilus-dropbox/Manifest b/gnome-extra/nautilus-dropbox/Manifest
index b40b6c54a9e..4628fcad4a1 100644
--- a/gnome-extra/nautilus-dropbox/Manifest
+++ b/gnome-extra/nautilus-dropbox/Manifest
@@ -1 +1,2 @@
DIST nautilus-dropbox-1.6.2.tar.bz2 354408 BLAKE2B 7a3d1cee88dc595fc43f92d84328cf112755d2aa98a99e84e24d132b6167fb5378cc4e9914c31510d38deadc952caed1debdea7ae07dcd0a7b58e72790af428a SHA512 696808a7e5a1d8bbe06903b5ab075e0aa32d0b35c44363d7874fcdd48d339650bdf80190e37cba5782b31565ca9b233573a3d2ee74866add169ff5ea1d0b62d3
+DIST nautilus-dropbox-2019.02.14.tar.bz2 381416 BLAKE2B 0765196974d88caa477d962311efe05941cd2d25e35fa028720c8abed5120fea5abede74f39e00cb2ac9eb08d6d4bbdf1d1fe6db8d604c1803570209e654d55a SHA512 c5758d97fa40af1b27388c23289e5d1d98ef1c6db04ed7fb5cfee387723f72c34f3583fb6e0158a39f30d5ff649cb2de6d92fc4ad6e976e301dc239bda9d554b
diff --git a/gnome-extra/nautilus-dropbox/files/nautilus-dropbox-2019-system-rst2man.patch b/gnome-extra/nautilus-dropbox/files/nautilus-dropbox-2019-system-rst2man.patch
new file mode 100644
index 00000000000..06e59229164
--- /dev/null
+++ b/gnome-extra/nautilus-dropbox/files/nautilus-dropbox-2019-system-rst2man.patch
@@ -0,0 +1,13 @@
+Index: nautilus-dropbox-0.7.0/configure.ac
+===================================================================
+--- nautilus-dropbox-0.7.0.orig/configure.ac
++++ nautilus-dropbox-0.7.0/configure.ac
+@@ -31,7 +31,7 @@ PKG_CHECK_MODULES(GLIB, glib-2.0 >= $GLI
+
+ AC_PATH_PROG([PYTHON], [python])
+
+-AC_PATH_PROG([RST2MAN], [rst2man], [python3 rst2man.py])
++AC_PATH_PROG([RST2MAN], [rst2man.py], [python rst2man.py])
+ AC_SUBST(RST2MAN)
+
+ # define module checking macro
diff --git a/gnome-extra/nautilus-dropbox/metadata.xml b/gnome-extra/nautilus-dropbox/metadata.xml
index 1b2becffa26..55dbd3b953f 100644
--- a/gnome-extra/nautilus-dropbox/metadata.xml
+++ b/gnome-extra/nautilus-dropbox/metadata.xml
@@ -1,5 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="person">
+ <name>Jonas Licht</name>
+ <email>jonas.licht@gmail.com</email>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <longdescription lang="en">
+ A extension of nautilus to display the sync state of an Dropbox folder and add a right click menu to mange files in the Dropbox folder.
+ </longdescription>
</pkgmetadata>
diff --git a/gnome-extra/nautilus-dropbox/nautilus-dropbox-2019.02.14.ebuild b/gnome-extra/nautilus-dropbox/nautilus-dropbox-2019.02.14.ebuild
new file mode 100644
index 00000000000..73781040d6c
--- /dev/null
+++ b/gnome-extra/nautilus-dropbox/nautilus-dropbox-2019.02.14.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit autotools python-single-r1 xdg-utils
+
+DESCRIPTION="Dropbox Nautilus Extension"
+HOMEPAGE="https://github.com/dropbox/nautilus-dropbox"
+SRC_URI="https://linux.dropboxstatic.com/packages/${P}.tar.bz2"
+
+LICENSE="GPL-3 CC-BY-ND-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ gnome-base/nautilus
+ net-misc/dropbox
+ >=dev-libs/glib-2.14
+ $(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_MULTI_USEDEP}]' )"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="
+ $(python_gen_cond_dep 'dev-python/docutils[${PYTHON_MULTI_USEDEP}]' )
+ virtual/pkgconfig"
+
+# use system rst2man
+PATCHES=( "${FILESDIR}/nautilus-dropbox-2019-system-rst2man.patch" )
+
+src_prepare() {
+ default
+
+ # use system dropbox
+ sed \
+ -e "s|~/[.]dropbox-dist|${EPREFIX}/opt/dropbox|" \
+ -e "s|\(DROPBOXD_PATH = \).*|\1\"${EPREFIX}/opt/dropbox/dropboxd\"|" \
+ -i dropbox.in || die
+ AT_NOELIBTOOLIZE=yes eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable debug) \
+ --disable-static
+}
+
+src_install() {
+ default
+
+ # removes files which conflicts with system dropbox
+ rm -r "${D}/usr/share/applications" || die
+ rm -r "${D}/usr/bin" || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update;
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update;
+}